SCSI_ALLOC_TARGET(9)

NAME
scsi_alloc_target - allocate a new or find an existing target

SYNOPSIS

struct scsi_target * scsi_alloc_target(struct device * parent, int channel, uint id);

ARGUMENTS

parent
    parent of the target (need not be a scsi host)

channel
    target channel number (zero if no channels)

id
    target id number

DESCRIPTION

Return an existing target if one exists, provided it hasn't already gone into STARGET_DEL state, otherwise allocate a new target.

The target is returned with an incremented reference, so the caller is responsible for both reaping and doing a last put

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT